Bug 201708 - devel/m17n-lib: Update to 1.7.0
Summary: devel/m17n-lib: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on: 201707
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-20 04:40 UTC by Yuri Victorovich
Modified: 2016-05-13 18:06 UTC (History)
2 users (show)

See Also:
amdmi3: maintainer-feedback+


Attachments
patch (4.04 KB, patch)
2015-07-20 04:40 UTC, Yuri Victorovich
no flags Details | Diff
poudriere log (160.08 KB, text/plain)
2015-07-20 04:42 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-07-20 04:40:21 UTC
Created attachment 159003 [details]
patch
Comment 1 Yuri Victorovich freebsd_committer 2015-07-20 04:42:54 UTC
Created attachment 159006 [details]
poudriere log
Comment 2 Nikola Lečić 2015-08-03 00:35:10 UTC
I do not approve this patch. Things that need to be resolved:

1) I don't see a reason to add USES=gettext;

2) This patch breaks textproc/scim-m17n (it probably needs a revision bump) and probably some other ports. Please give me 2-3 days to submit the updates.
Comment 3 Yuri Victorovich freebsd_committer 2015-08-03 00:48:03 UTC
1) Please observe executable /usr/local/bin/xgettext used in Makefile. Therefore it needs USES=gettext

2) I only use ibus and it works. Yes, maybe dependency versions need to be bumped.
Comment 4 John Marino freebsd_committer 2015-12-21 17:16:10 UTC
where does this one stand?
Comment 5 Dmitry Marakasov freebsd_committer 2016-04-01 20:25:40 UTC
(In reply to Nikola Lečić from comment #2)

> 2) This patch breaks textproc/scim-m17n (it probably needs a revision bump)
> and probably some other ports. Please give me 2-3 days to submit the updates.

How exactly does it break it? Major library version has not been bumped, so ABI should be compatible. It also builds fine.
Comment 6 Dmitry Marakasov freebsd_committer 2016-04-01 21:02:11 UTC
(In reply to Nikola Lečić from comment #2)
> I do not approve this patch. Things that need to be resolved:
> 
> 1) I don't see a reason to add USES=gettext;

It won't build without USES=gettext*:

===>  Configuring for m17n-lib-1.7.0
Can't exec "autopoint": No such file or directory at /usr/local/share/autoconf-2.69/Autom4te/FileUtils.pm line 345.
autoreconf-2.69: failed to run autopoint: No such file or directory
autoreconf-2.69: autopoint is needed because this package uses Gettext

Though it doesn't link with libintl, so it probably just needs USES=gettext-tools instead.
Comment 7 Dmitry Marakasov freebsd_committer 2016-05-12 18:36:46 UTC
Nikola, ping
Comment 8 Nikola Lečić 2016-05-12 19:45:03 UTC
Dmitry, I see. In that case, I approve the patch. Sorry for the late reply, I completely lost this PR out of sight.

Thanks!
Comment 9 commit-hook freebsd_committer 2016-05-13 18:06:10 UTC
A commit references this bug:

Author: amdmi3
Date: Fri May 13 18:05:21 UTC 2016
New revision: 415125
URL: https://svnweb.freebsd.org/changeset/ports/415125

Log:
  - Update to 1.7.0

  PR:		201708
  Submitted by:	yuri@rawbw.com
  Approved by:	nikola.lecic@anthesphoria.net (maintainer)

Changes:
  head/devel/m17n-lib/Makefile
  head/devel/m17n-lib/distinfo
  head/devel/m17n-lib/files/patch-configure.ac
  head/devel/m17n-lib/pkg-plist